<?php
class FacilityData {
    protected $_id, $_title, $_category, $_status, $_description, $_houseNumber, $_streetName, $_county, $_town, $_postcode, $_lng, $_lat, $_contributor;

    public function __construct($dbRow) {
        $this->_id = $dbRow['id'];
        $this->_title = $dbRow['title'];
        $this->_category = $dbRow['category'];
        $this->_status = $dbRow['status'];
        $this->_description = $dbRow['description'];
        $this->_houseNumber = $dbRow['houseNumber'];
        $this->_streetName = $dbRow['streetName'];
        $this->_county = $dbRow['county'];
        $this->_town = $dbRow['town'];
        $this->_postcode = $dbRow['postcode'];
        $this->_lng = $dbRow['lng'];
        $this->_lat = $dbRow['lat'];
        $this->_contributor = $dbRow['contributor'];
    }

    public function getId() {
        return $this->_id;
    }
    public function getTitle() {
        return $this->_title;
    }
    public function getCategory() {
        return $this->_category;
    }

    public function getStatus() {
        return $this->_status;
    }
    public function getDescription() {
        return $this->_description;
    }
    public function getHouseNumber() {
        return $this->_houseNumber;
    }
    public function getStreetName() {
        return $this->_streetName;
    }
    public function getCounty() {
        return $this->_county;
    }
    public function getTown() {
        return $this->_town;
    }
    public function getPostcode() {
        return $this->_postcode;
    }
    public function getLng() {
        return $this->_lng;
    }
    public function getLat() {
        return $this->_lat;
    }
    public function getContributor() {
        return $this->_contributor;
    }
}